hpp-core: hpp::core::CollisionValidation Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::core::CollisionValidation Class Reference
Validation of configurations and paths

`#include <hpp/core/collision-validation.hh>`

Inheritance diagram for hpp::core::CollisionValidation:
[legend]
Collaboration diagram for hpp::core::CollisionValidation:
[legend]

## Public Member Functions
virtual bool | validate (const Configuration_t &config, ValidationReportPtr_t &validationReport)
void | checkParameterized (bool active)
void | computeAllContacts (bool computeAllContacts)
bool | checkParameterized () const
Public Member Functions inherited from hpp::core::ConfigValidation
virtual | ~ConfigValidation ()=default
Public Member Functions inherited from hpp::core::ObstacleUser
virtual | ~ObstacleUser ()=default
const CollisionPairs_t & | pairs () const
CollisionPairs_t & | pairs ()
const CollisionRequests_t & | requests () const
CollisionRequests_t & | requests ()
coal::CollisionRequest & | defaultRequest ()
void | setRequests (const coal::CollisionRequest &r)
virtual void | addObstacle (const CollisionObjectConstPtr_t &object)
virtual void | addObstacleToJoint (const CollisionObjectConstPtr_t &object, const JointPtr_t &joint, const bool includeChildren)
virtual void | removeObstacleFromJoint (const JointPtr_t &joint, const CollisionObjectConstPtr_t &object)
virtual void | filterCollisionPairs (const RelativeMotion::matrix_type &relMotion)
virtual void | setSecurityMargins (const matrix_t &securityMatrix)
virtual void | setSecurityMarginBetweenBodies (const std::string &body_a, const std::string &body_b, const value_type &margin)
Public Member Functions inherited from hpp::core::ObstacleUserInterface
virtual | ~ObstacleUserInterface ()=default

## Static Public Member Functions
static CollisionValidationPtr_t | create (const DevicePtr_t &robot)
Static Public Member Functions inherited from hpp::core::ObstacleUser
static bool | collide (const CollisionPairs_t &pairs, CollisionRequests_t &reqs, coal::CollisionResult &res, std::size_t &i, pinocchio::DeviceData &data)

## Protected Member Functions
| CollisionValidation (const DevicePtr_t &robot)
Protected Member Functions inherited from hpp::core::ConfigValidation
| ConfigValidation ()=default
Protected Member Functions inherited from hpp::core::ObstacleUser
| ObstacleUser (DevicePtr_t robot)
| Constructor of body pair collision.
| ObstacleUser (const ObstacleUser &other)
| Copy constructor.
void | addRobotCollisionPairs ()

## Protected Attributes
DevicePtr_t | robot_
Protected Attributes inherited from hpp::core::ObstacleUser
DevicePtr_t | robot_
coal::CollisionRequest | defaultRequest_
CollisionPairs_t | cPairs_
CollisionPairs_t | pPairs_
| Active collision pairs.
CollisionPairs_t | dPairs_
| Parameterized collision pairs.
CollisionRequests_t | cRequests_
| Disabled collision pairs.
CollisionRequests_t | pRequests_
| Active collision requests.
CollisionRequests_t | dRequests_
| Parameterized collision requests.

## Detailed Description

Validate a configuration with respect to collision

## Constructor & Destructor Documentation

## ◆ CollisionValidation()

hpp::core::CollisionValidation::CollisionValidation | ( | const DevicePtr_t & | robot | ) |
| protected

## Member Function Documentation

## ◆ checkParameterized() [1/2]

bool hpp::core::CollisionValidation::checkParameterized | ( |  | ) | const
| inline

## ◆ checkParameterized() [2/2]

void hpp::core::CollisionValidation::checkParameterized | ( | bool | active | ) |
| inline

## ◆ computeAllContacts()

void hpp::core::CollisionValidation::computeAllContacts | ( | bool | computeAllContacts | ) |
| inline

## ◆ create()

static CollisionValidationPtr_t hpp::core::CollisionValidation::create | ( | const DevicePtr_t & | robot | ) |
| static

## ◆ validate()

virtual bool hpp::core::CollisionValidation::validate | ( | const Configuration_t & | config,
|  | ValidationReportPtr_t & | validationReport
| ) |  |
| virtual

Compute whether the configuration is valid

Parameters

  config | the config to check for validity,

Return values

  validationReport | report on validation. If non valid, a validation report will be allocated and returned via this shared pointer.

Returns
  whether the whole config is valid.

Implements hpp::core::ConfigValidation.

## Member Data Documentation

## ◆ robot_

DevicePtr_t hpp::core::CollisionValidation::robot_
| protected

The documentation for this class was generated from the following file:

- include/hpp/core/collision-validation.hh